Inventory
Update Product Inventory
Update product inventory
POST
/
catalog
/
products
/
{id}
/
inventory
Update Product Inventory
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"variant_id": "<string>",
"update_other_variants": true,
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_default": true
},
"opening_stock_date": "2023-12-25",
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>"
}
]
}
]
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory"
payload = [
{
"variant_id": "<string>",
"update_other_variants": True,
"track_quantity": True,
"track_lot_batch": True,
"allow_backorder": True,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_default": True
},
"opening_stock_date": "2023-12-25",
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>"
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
variant_id: '<string>',
update_other_variants: true,
track_quantity: true,
track_lot_batch: true,
allow_backorder: true,
stock: [
{
warehouse_id: '<string>',
stock_quantity: 123,
warehouse: {
id: '<string>',
name: '<string>',
address_line1: '<string>',
pincode: '<string>',
city: '<string>',
state: '<string>',
gstin: '<string>',
address_line2: '<string>',
landmark: '<string>',
contact_phone: '<string>',
contact_email: '<string>',
is_default: true
},
opening_stock_date: '2023-12-25',
lot_batch: '<string>',
mfg_date: '2023-12-25',
exp_date: '2023-12-25',
manufacturer: '<string>'
}
]
}
])
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'variant_id' => '<string>',
'update_other_variants' => true,
'track_quantity' => true,
'track_lot_batch' => true,
'allow_backorder' => true,
'stock' => [
[
'warehouse_id' => '<string>',
'stock_quantity' => 123,
'warehouse' => [
'id' => '<string>',
'name' => '<string>',
'address_line1' => '<string>',
'pincode' => '<string>',
'city' => '<string>',
'state' => '<string>',
'gstin' => '<string>',
'address_line2' => '<string>',
'landmark' => '<string>',
'contact_phone' => '<string>',
'contact_email' => '<string>',
'is_default' => true
],
'opening_stock_date' => '2023-12-25',
'lot_batch' => '<string>',
'mfg_date' => '2023-12-25',
'exp_date' => '2023-12-25',
'manufacturer' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory"
payload := strings.NewReader("[\n {\n \"variant_id\": \"<string>\",\n \"update_other_variants\": true,\n \"track_quantity\": true,\n \"track_lot_batch\": true,\n \"allow_backorder\": true,\n \"stock\": [\n {\n \"warehouse_id\": \"<string>\",\n \"stock_quantity\": 123,\n \"warehouse\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"gstin\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"contact_phone\": \"<string>\",\n \"contact_email\": \"<string>\",\n \"is_default\": true\n },\n \"opening_stock_date\": \"2023-12-25\",\n \"lot_batch\": \"<string>\",\n \"mfg_date\": \"2023-12-25\",\n \"exp_date\": \"2023-12-25\",\n \"manufacturer\": \"<string>\"\n }\n ]\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"variant_id\": \"<string>\",\n \"update_other_variants\": true,\n \"track_quantity\": true,\n \"track_lot_batch\": true,\n \"allow_backorder\": true,\n \"stock\": [\n {\n \"warehouse_id\": \"<string>\",\n \"stock_quantity\": 123,\n \"warehouse\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"gstin\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"contact_phone\": \"<string>\",\n \"contact_email\": \"<string>\",\n \"is_default\": true\n },\n \"opening_stock_date\": \"2023-12-25\",\n \"lot_batch\": \"<string>\",\n \"mfg_date\": \"2023-12-25\",\n \"exp_date\": \"2023-12-25\",\n \"manufacturer\": \"<string>\"\n }\n ]\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"variant_id\": \"<string>\",\n \"update_other_variants\": true,\n \"track_quantity\": true,\n \"track_lot_batch\": true,\n \"allow_backorder\": true,\n \"stock\": [\n {\n \"warehouse_id\": \"<string>\",\n \"stock_quantity\": 123,\n \"warehouse\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"gstin\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"contact_phone\": \"<string>\",\n \"contact_email\": \"<string>\",\n \"is_default\": true\n },\n \"opening_stock_date\": \"2023-12-25\",\n \"lot_batch\": \"<string>\",\n \"mfg_date\": \"2023-12-25\",\n \"exp_date\": \"2023-12-25\",\n \"manufacturer\": \"<string>\"\n }\n ]\n }\n]"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"inventory": [
{
"variant_id": "<string>",
"variant_name": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"low_stock_threshold": 123,
"stock_available": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"sku": "<string>",
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_default": true
},
"opening_stock_date": "2023-12-25",
"warehouse_name": "<string>",
"received_quantity": 123,
"reserved_quantity": 123,
"sold_quantity": 123,
"adjusted_quantity": 123,
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
]
}
]
}
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Update Product Inventory
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"variant_id": "<string>",
"update_other_variants": true,
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_default": true
},
"opening_stock_date": "2023-12-25",
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>"
}
]
}
]
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory"
payload = [
{
"variant_id": "<string>",
"update_other_variants": True,
"track_quantity": True,
"track_lot_batch": True,
"allow_backorder": True,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_default": True
},
"opening_stock_date": "2023-12-25",
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>"
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
variant_id: '<string>',
update_other_variants: true,
track_quantity: true,
track_lot_batch: true,
allow_backorder: true,
stock: [
{
warehouse_id: '<string>',
stock_quantity: 123,
warehouse: {
id: '<string>',
name: '<string>',
address_line1: '<string>',
pincode: '<string>',
city: '<string>',
state: '<string>',
gstin: '<string>',
address_line2: '<string>',
landmark: '<string>',
contact_phone: '<string>',
contact_email: '<string>',
is_default: true
},
opening_stock_date: '2023-12-25',
lot_batch: '<string>',
mfg_date: '2023-12-25',
exp_date: '2023-12-25',
manufacturer: '<string>'
}
]
}
])
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'variant_id' => '<string>',
'update_other_variants' => true,
'track_quantity' => true,
'track_lot_batch' => true,
'allow_backorder' => true,
'stock' => [
[
'warehouse_id' => '<string>',
'stock_quantity' => 123,
'warehouse' => [
'id' => '<string>',
'name' => '<string>',
'address_line1' => '<string>',
'pincode' => '<string>',
'city' => '<string>',
'state' => '<string>',
'gstin' => '<string>',
'address_line2' => '<string>',
'landmark' => '<string>',
'contact_phone' => '<string>',
'contact_email' => '<string>',
'is_default' => true
],
'opening_stock_date' => '2023-12-25',
'lot_batch' => '<string>',
'mfg_date' => '2023-12-25',
'exp_date' => '2023-12-25',
'manufacturer' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory"
payload := strings.NewReader("[\n {\n \"variant_id\": \"<string>\",\n \"update_other_variants\": true,\n \"track_quantity\": true,\n \"track_lot_batch\": true,\n \"allow_backorder\": true,\n \"stock\": [\n {\n \"warehouse_id\": \"<string>\",\n \"stock_quantity\": 123,\n \"warehouse\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"gstin\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"contact_phone\": \"<string>\",\n \"contact_email\": \"<string>\",\n \"is_default\": true\n },\n \"opening_stock_date\": \"2023-12-25\",\n \"lot_batch\": \"<string>\",\n \"mfg_date\": \"2023-12-25\",\n \"exp_date\": \"2023-12-25\",\n \"manufacturer\": \"<string>\"\n }\n ]\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"variant_id\": \"<string>\",\n \"update_other_variants\": true,\n \"track_quantity\": true,\n \"track_lot_batch\": true,\n \"allow_backorder\": true,\n \"stock\": [\n {\n \"warehouse_id\": \"<string>\",\n \"stock_quantity\": 123,\n \"warehouse\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"gstin\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"contact_phone\": \"<string>\",\n \"contact_email\": \"<string>\",\n \"is_default\": true\n },\n \"opening_stock_date\": \"2023-12-25\",\n \"lot_batch\": \"<string>\",\n \"mfg_date\": \"2023-12-25\",\n \"exp_date\": \"2023-12-25\",\n \"manufacturer\": \"<string>\"\n }\n ]\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/inventory")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"variant_id\": \"<string>\",\n \"update_other_variants\": true,\n \"track_quantity\": true,\n \"track_lot_batch\": true,\n \"allow_backorder\": true,\n \"stock\": [\n {\n \"warehouse_id\": \"<string>\",\n \"stock_quantity\": 123,\n \"warehouse\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"gstin\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"contact_phone\": \"<string>\",\n \"contact_email\": \"<string>\",\n \"is_default\": true\n },\n \"opening_stock_date\": \"2023-12-25\",\n \"lot_batch\": \"<string>\",\n \"mfg_date\": \"2023-12-25\",\n \"exp_date\": \"2023-12-25\",\n \"manufacturer\": \"<string>\"\n }\n ]\n }\n]"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"inventory": [
{
"variant_id": "<string>",
"variant_name": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"track_quantity": true,
"track_lot_batch": true,
"allow_backorder": true,
"low_stock_threshold": 123,
"stock_available": true,
"stock": [
{
"warehouse_id": "<string>",
"stock_quantity": 123,
"sku": "<string>",
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_default": true
},
"opening_stock_date": "2023-12-25",
"warehouse_name": "<string>",
"received_quantity": 123,
"reserved_quantity": 123,
"sold_quantity": 123,
"adjusted_quantity": 123,
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
]
}
]
}
}